[P008]语义检索相似专利

post
https://connect.zhihuiya.com/search/patent/semantic-search-patent/v2
在体验中心中试用

该接口根据语义,搜索得到专利列表,最多返回前1000条相似专利,默认按照相似度从高到低排序。建议输入一段技术描述文本(如权利要求,建议200字以上),以获得更加相关的结果,语义搜索原理点击查看:https://help.zhihuiya.com/help/360007811592/article/360040181092?categoryId=360002609831&showTabs=false。

请求参数

此 API 接口支持的参数列表

名称类型示例描述
field
stringRELEVANCY

field sort(only Chinese).field support RELEVANCY,APD,PBD. The default RELEVANCY

order
stringdesc
当field选择APD,PBD时有效,order支持desc,asc。默认desc
simple_legal_status
string1,2

专利的简单法律状态

0:失效 1:有效 2:审中 220:PCT指定期满 221:PCT指定期内 999:未确认,可以多选,多个内容项之间用英文,隔开。

text
必填
stringThe invention discloses an automobile front-view based wireless video transmission system and method. The system comprises a front-view camera, a wireless video transmitting module, a wireless video receiving module, a display screen, a display triggering device, a first controller, a wireless command transmitting module, a wireless command receiving module, a second controller and an automobile starting detecting module, wherein the display screen is connected with the wireless video receiving module; the front-view camera is connected with the wireless video transmitting module; the wireless video transmitting module is wirelessly connected with the wireless video receiving module and wirelessly transmits a video shot by the front-view camera; and the wireless video receiving module receives and sends the video and displays the video on the display screen, so that the mounting time of the front-view camera is shortened greatly, no damage can be caused to an original automobile, the front-view camera can be mounted without a threading manner, and great convenience is brought to the owner of the automobile.
大文本
country
array[ "CNA", "CNB" ]
允许输入 国家/地区/组织代码及申请类型。 国家/地区/组织代码请参照https://analytics.zhihuiya.com/status,类型请参照A: 发明申请,B: 授权发明,U: 实用新型,D: 外观设计。可以多选,多个内容项之间用英文,隔开。
pbd_from
string20200101
专利公开起始时间(8位数字的日期,或者*,*代表不限)
pbd_to
string20220101
专利公开结束时间(8位数字的日期,或者*,*代表不限)
apd_from
string20200101
专利申请起始时间(8位数字的日期,或者*,*代表不限)
apd_to
string20220101
专利申请结束时间(8位数字的日期,或者*,*代表不限)
relevancy
string50%
最小相似度;可以输入类似50%这样的来控制,本次只返回相似度大于50%的专利
offset
integer<int32>-
偏移量,limit + offset <= 20000(语义接口最多返回1000)
limit
integer<int32>10
返回专利个数,最大1000

响应结构

API 响应数据的结构说明

字段名类型示例描述
data
object-
响应数据
results
arrayPlease check the form: SemanticResult
查询结果
pn
stringJP1999068462A
公开(公告)号
apdt
integer<int32>20211108
申请日
apno
stringUS17/521392
申请号
pbdt
integer<int32>20230815
公开日
title
stringTechniques for using multiple symbols to provide feedback for a sidelink transmission
标题
inventor
stringELSHAFIE, AHMED | YANG, WEI | HOSSEINI, SEYEDKIANOUSH
发明人
patent_id
string1a47a70d-6b54-4709-a72a-ed552781fcac
专利Id
relevancy
string99%
搜索结果与输入文本的相关性
current_assignee
stringQUALCOMM INCORPORATED
当前申请人
original_assignee
stringQUALCOMM INCORPORATED
原始申请人
current_assignee_address
string神奈川県高座郡寒川町小谷2丁目1番1号
当前申请人地址
original_assignee_address
string神奈川県高座郡寒川町小谷2丁目1番1号
原始申请人地址
result_count
integer<int32>10
返回结果数
total_search_result_count
integer<int64>1000
检索到的结果数
status
必填
booleanfalse
状态
error_msg
stringThe request parameter format is incorrect!
错误信息
error_code
必填
integer0
错误代码

成功响应示例

成功调用 API 的响应示例

JSON
{
  "data": {
    "results": [
      {
        "pn": "JP1999068462A",
        "apdt": 20211108,
        "apno": "US17/521392",
        "pbdt": 20230815,
        "title": "Techniques for using multiple symbols to provide feedback for a sidelink transmission",
        "inventor": "ELSHAFIE, AHMED | YANG, WEI | HOSSEINI, SEYEDKIANOUSH",
        "patent_id": "1a47a70d-6b54-4709-a72a-ed552781fcac",
        "relevancy": "99%",
        "current_assignee": "QUALCOMM INCORPORATED",
        "original_assignee": "QUALCOMM INCORPORATED",
        "current_assignee_address": "神奈川県高座郡寒川町小谷2丁目1番1号",
        "original_assignee_address": "神奈川県高座郡寒川町小谷2丁目1番1号"
      }
    ],
    "result_count": 10,
    "total_search_result_count": 1000
  },
  "status": true,
  "error_code": 0
}

错误码

此接口可能返回的错误码列表

业务错误码

错误码描述
68300004请求参数异常!
68300005查询Api失败!
68300006解析基本存取错误!
68300007存在错误的请求!
68300008服务中断异常,请稍后再试!
68300010文件不符合上传规范!

平台错误码

错误码描述
67200000API整体限流错误!
67200001API整体限流错误!
67200002当前调用速率过快,超过当前配置限制QPS!
67200003申请token的key和secret传参不正确或者客户端已被禁用!
67200004请求的接口无权限请联系我们的支持人员!
67200005账户余额/调用次数不足!
67200006客户端超过开通有效期!
67200007当前调用超过当天配置使用额度!
67200008请检查query参数中必填的apikey是否传输!
67200009apikey与所传的bearerToken不匹配,请检查是否使用在有效期内的token!
67200012请求不合法!
67200100当前服务器状态正忙,请求响应超时!
67200101当前请求的Api不存在请检查请求Path!

HTTP 状态码

状态码描述
0请求成功
201Created
401Unauthorized
403Forbidden
404Not Found

性能指标

此接口的预期性能特征

正常响应时间

5000 ms

最大响应时间

10000 ms